package com.ces.framework.handle.exception;

import com.ces.common.core.domain.Result;
import com.ces.common.utils.ServletUtils;
import org.apache.shiro.authz.AuthorizationException;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;


/**
 * 全局统一异常处理
 * @author Tao
 */
@ControllerAdvice(basePackages = "cn.sc.web.admin", annotations = {RestController.class, Controller.class})
@ResponseBody
public class GlobalExceptionHandler {

    @ExceptionHandler(AuthorizationException.class)
    public Object exceptionHandle(AuthorizationException e, HttpServletRequest request) {

        if (ServletUtils.isAjaxRequest(request)) {
            return Result.error();
        }

        return new ModelAndView("nauth");
    }


    @ExceptionHandler(Exception.class)
    public Object exceptionHandle(Exception e, HttpServletRequest request) {

        if (ServletUtils.isAjaxRequest(request)) {
            return Result.error();
        }

        return new ModelAndView("500");
    }
}
