<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>四号楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/nh">四号楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>1</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>1</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>26</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            // 左外墙1
            { top: '50%', left: '50%' , gbid: '31011500001320002157'},
        ],
        'arr2': [
            // 左外墙1
            { top: '50%', left: '50%' , gbid: '31011500001320002158'},
        ],
        'arr3': [
            // 浴室左1
            { top: '19.73%', left: '9.70%' , gbid: '31011500001320002130'},
            // 中左1卫
            { top: '16.42%', left: '15.94%' , gbid: '31011500001320002150'},
            { top: '29.19%', left: '15.94%' , gbid: '31011500001320002155'},
            { top: '72.31%', left: '15.94%' , gbid: '31011500001320002138'},
            // 中左1监舍
            { top: '18.08%', left: '22.30%' , gbid: '31011500001320002152'},
            { top: '30.51%', left: '22.30%' , gbid: '31011500001320002156'},
            { top: '59.37%', left: '22.30%' , gbid: '31011500001320002135'},
            { top: '73.96%', left: '22.30%' , gbid: '31011500001320002139'},
            // 中左2卫
            { top: '16.42%', left: '29.80%' , gbid: '31011500001320002153'},
            { top: '72.31%', left: '29.80%' , gbid: '31011500001320002136'},
            // 中左1监舍
            { top: '59.37%', left: '35.80%' , gbid: '31011500001320002137'},
            // 中
            { top: '23.05%', left: '44.15%' , gbid: '31011500001320002184'},
            // 右中1监舍
            { top: '18.08%', left: '63.43%' , gbid: '31011500001320002149'},
            { top: '30.51%', left: '63.43%' , gbid: '31011500001320002145'},
            // 右中1卫
            { top: '16.75%', left: '69.68%' , gbid: '31011500001320002148'},
            { top: '29.19%', left: '69.68%' , gbid: '31011500001320002144'},
            // 右中2监舍
            { top: '18.08%', left: '77.03%' , gbid: '31011500001320002146'},
            { top: '30.51%', left: '77.03%' , gbid: '31011500001320002143'},
            // 右中2卫
            { top: '16.75%', left: '82.94%' , gbid: '31011500001320002147'},
            { top: '29.19%', left: '82.94%' , gbid: '31011500001320002142'},
            { top: '43.78%', left: '82.94%' , gbid: '31011500001320002141'},
            // 右监
            { top: '46.60%', left: '71.00%' , gbid: '31011500001320002140'},
            { top: '60.20%', left: '71.00%' , gbid: '31011500001320002134'},
            { top: '74.13%', left: '71.00%' , gbid: '31011500001320002133'},
            // 右边
            { top: '2.82%', left: '91.53%' , gbid: '31011500001320002132'},
            { top: '74.63%', left: '88.70%' , gbid: '31011500001320002131'},
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/floor4_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
